summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorgraziano.giuliani2016-03-28 22:52:00 +0200
committergraziano.giuliani2016-03-28 22:52:00 +0200
commit3f5208dd1c592696376f26b6ad50c006dccb473e (patch)
tree905de6c130b4797265805867ee680b45853e50be
downloadaur-3f5208dd1c592696376f26b6ad50c006dccb473e.tar.gz
resurrected this package
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD40
-rw-r--r--patch11
3 files changed, 72 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..3d8f5088971
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+# Generated by mksrcinfo v8
+# Mon Mar 28 19:43:10 UTC 2016
+pkgbase = magics++
+ pkgdesc = Magics is the latest generation of the ECMWF's Meteorological plotting software MAGICS.
+ pkgver = 2.28.0
+ pkgrel = 1
+ url = https://software.ecmwf.int/wiki/display/MAGP
+ arch = i686
+ arch = x86_64
+ license = Apache
+ makedepends = gcc-fortran
+ makedepends = python2
+ makedepends = python2-numpy
+ makedepends = cmake
+ source = http://software.ecmwf.int/wiki/download/attachments/3473464/Magics-2.28.0-Source.tar.gz
+ source = patch
+ md5sums = 786231cd965e398b68bb2fbe04ca6a96
+ md5sums = da04828807d7fda1d767197c6d69ec0b
+
+pkgname = magics++
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..73e6c4e3fcb
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,40 @@
+# Contributor: Anton Bazhenov <anton.bazhenov at gmail>
+# Contributor: Graziano Giuliani <graziano.giuliani@poste.it>
+
+pkgname=magics++
+Pkgname=Magics
+pkgver=2.28.0
+_attnum=3473464
+pkgrel=1
+pkgdesc="Magics is the latest generation of the ECMWF's Meteorological plotting software MAGICS."
+arch=('i686' 'x86_64')
+url="https://software.ecmwf.int/wiki/display/MAGP"
+license=('Apache')
+depends=()
+optdepends=()
+makedepends=('gcc-fortran' 'python2' 'python2-numpy' 'cmake')
+source=(http://software.ecmwf.int/wiki/download/attachments/${_attnum}/${Pkgname}-${pkgver}-Source.tar.gz patch)
+md5sums=('786231cd965e398b68bb2fbe04ca6a96'
+ 'da04828807d7fda1d767197c6d69ec0b')
+
+build() {
+ cd "$srcdir/${Pkgname}-${pkgver}-Source"
+ patch -p0 -i ../patch
+ mkdir -p build
+ cd build
+ CC=gcc CXX=g++ \
+ cmake -DCMAKE_LINKER_FLAGS="-pthread" \
+ -DCMAKE_SHARED_LINKER_FLAGS="-pthread" \
+ -DCMAKE_EXE_LINKER_FLAGS="-pthread" \
+ -DCMAKE_CXX_COMPILER=g++ -DCMAKE_CC_COMPILER=gcc \
+ -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=production \
+ -DCMAKE_INSTALL_DATADIR=/usr/share -DENABLE_ODB=0 \
+ -DENABLE_METVIEW=1 -DENABLE_GEOTIFF=1 -DENABLE_QT5=1 \
+ -DPYTHON_EXECUTABLE=/usr/bin/python2 ..
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/${Pkgname}-${pkgver}-Source/build"
+ make DESTDIR="$pkgdir" install || return 1
+}
diff --git a/patch b/patch
new file mode 100644
index 00000000000..3a5441ab543
--- /dev/null
+++ b/patch
@@ -0,0 +1,11 @@
+--- cmake/ecbuild_pkgconfig.cmake.orig 2016-03-28 21:41:34.726196875 +0200
++++ cmake/ecbuild_pkgconfig.cmake 2016-03-28 21:41:59.595426196 +0200
+@@ -190,7 +190,7 @@
+ foreach( _incdir ${${INCLUDE_DIRS}} )
+
+ foreach( _ignore ${ignore_include_dirs} )
+- if( "${_incdir}" MATCHES "${_ignore}" )
++ if( "${_incdir}" EQUAL "${_ignore}" )
+ unset( _incdir )
+ break()
+ endif()